Subject: Re: cultural folklore needed

From: [email-masked] (HealingPgs)
Date: 10 Sep 1995 19:51:19 -0400

>looking for books for a high school class on multiculturalism and
herbs....

Ethnobotany is the study of plants as used by native cultures, so you
could use this classification when seeking current journal articles or
other books.  If you're looking for a book for your students to read, I'd
recommend "Shaman's Apprentice" by Mark Plotkin. It's a great read, and
Plotkin's work in ethnobotany continues to be very important. You might
also check out some of Michael Moore's herbal books, which often give a
good idea about how various cultures in a region use herbs. I'm thinking
of "Los Remedios" by him as a good example of this.

Regards,
Rosemary, Healing Pages Bookstore, Seattle, WA
e-mail: [email-masked]